Groovy 1.7.0

## groovy.xml.dom
Class DOMUtil

    java.lang.Object
      groovy.xml.dom.DOMUtil

    class DOMUtil
    extends Object

Constructor Summary
`DOMUtil()`

Method Summary
`static String` | `serialize(Element element)` Return a pretty version of the Element.
`static void` | `serialize(Element element, OutputStream os)` Write a pretty version of the Element to the OutputStream.

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### DOMUtil

    DOMUtil()

Method Detail

### serialize

    public static String serialize(Element element)

  Return a pretty version of the Element.
  param:
    element the element to serialize
  return:
    the pretty String representation of the element
  deprecated:
    use XmlUtil version instead

### serialize

    public static void serialize(Element element, OutputStream os)

  Write a pretty version of the Element to the OutputStream.
  param:
    element the element to serialize
  param:
    os the outputstream to write to
  deprecated:
    use XmlUtil version instead

Copyright © 2003-2009 The Codehaus. All rights reserved.